/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package callbacks.input;

import skeleton.*;
/**
 *
 * @author szymon
 */
public class TwoListsFetcher extends DataFetcher{
    private TwoListsGUI gui;

    public TwoListsFetcher(){
        gui = new TwoListsGUI(this);
    }
    @Override
        public void start() {
            gui.fillLists();
            gui.setVisible(true);
        }

        @Override
        public void end() {
            gui.setVisible(false);
            gui.dispose();
            super.end();

        }

        @Override
        public boolean running() {
            return gui.isVisible();
        }

}
