package callbacks.input;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

import callbacks.*;
import skeleton.*;

/**
 *
 * @author szymon
 * This class implements ComboBox GUI for attrobutes values acquisition
 * As a parameters, there sould be sent a list containing:
 * - Name of a attribute
 * - List of values
 */
public class ComboBoxFetcher extends DataFetcher{
    private ComboGUI gui;

    public ComboBoxFetcher(){
        gui = new ComboGUI(this);
    }
    @Override
        public void start() {
            gui.fillComboBox();
            gui.setVisible(true);
        }

        @Override
        public void end() {
            gui.setVisible(false);
            gui.dispose();
            super.end();

        }

        @Override
        public boolean running() {
            return gui.isVisible();
        }
}
